from netforce.model import Model, fields, get_model

class CycleItemCopyLine(Model):
    _name="clinic.cycle.item.copy.line"
    _transient=True

    _fields={
        "item_copy_id": fields.Many2One("clinic.cycle.item.copy","Copy Item",required=True,on_delete="cascade"),
        'nurse_id': fields.Many2One("clinic.staff","Nurse",domain=[['type','=','nurse']]),
        'department_id': fields.Many2One("clinic.department","Department"),
    }
    

CycleItemCopyLine.register()
