from netforce.model import Model, fields

class VisitPopupConfirmLine(Model):
    _name="clinic.popup.visit.confirm.line"
    _transient=True

    _fields={
        "popup_visit_id": fields.Many2One("clinic.popup.visit.confirm","Popup Board",required=True,on_delete="cascade"),
        'patient_id': fields.Many2One("clinic.patient","Patient"),
        'department_id': fields.Many2One("clinic.department","Department"),
        'cycle_id': fields.Many2One("clinic.cycle","Cycle"),
        'visit_id': fields.Many2One("clinic.visit","Visit"),
    }
    
    _defaults={
        'is_confirm': False,
    }

VisitPopupConfirmLine.register()
